Bug 107398 - saving ethernet device modifications in one profile overwrites config in all profiles
saving ethernet device modifications in one profile overwrites config in all ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 15:05 EDT by Miklos Muller
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-27 05:41:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miklos Muller 2003-10-17 15:05:19 EDT
Description of problem:

When you have multiple profiles in networking, and there is at least one
ehternet device created, modifications of that ethernet device in one profile
appear in all other profiles after save. The problem also applies to other
ethernet-based connections such as xDSL.


Version-Release number of selected component (if applicable):
1.3.7-1

How reproducible:
By creating multiple profiles and at least one ethernet device with
redhat-config-network

Steps to Reproduce:
1. rm -rf /etc/sysconfig/networking/profiles/* (to start with a clean example)
2. create new ehternet connection "eth0"
3. create a new profile, or copy the default to "newProfile"
4. modify and save device eth0 in "newProfile"
    
Actual results:
both /etc/sysconfig/networking/profiles/default/ifcfg-eth0 and
/etc/sysconfig/networking/profiles/newProfile/ifcfg-eth0 are overwritten

Expected results:
save /etc/sysconfig/networking/profiles/newProfile/ifcfg-eth0 and leave
/etc/sysconfig/networking/profiles/default/ifcfg-eth0 untouched


Additional info:
Comment 1 Harald Hoyer 2003-10-24 11:22:24 EDT
depends... if the device is active in the default profile, then the change is
needed...
Comment 2 Miklos Muller 2003-10-24 12:09:09 EDT
Can you explain your comment in a bit more detail? Is the default profile
special in any sense or does it have the same role as newly created profiles?

I use profiles because I have a laptop and I change my location often.
Suppose I have 1 ethernet device and I visit 4 places: home, office, customer1,
customer2. So I create a profile for each location. Then when i modify, say the
home settings I expect office, and customer* remain the same regardless of the
state (active/inactive) of the ethernet device in the other configurations.

Does that make sense like this, or am i missing something here?

BTW other information such as DNS is handled as expected with multiple
configurations.
Comment 3 Mathias Csader 2003-10-28 09:21:09 EST
My problems seems to be very similar. When i create different Profiles for my
eth0 Device i get only DHCP-Adresses. When i make an service network restart i
can see that the right device is being startet but with the wrong config. After
deletion of the alias networkcards it works also with static IP-Adresses.
Comment 4 Harald Hoyer 2003-11-27 05:41:05 EST
Please read the documentation on how to use profiles...
http://people.redhat.com/harald/redhat-config-network/help/network-profiles.html

Note You need to log in before you can comment on or make changes to this bug.